Module jdk.dynalink
Package jdk.dynalink.linker

## Enum ConversionComparator.Comparison

- java.lang.Object
- - java.lang.Enum<ConversionComparator.Comparison>
  - - jdk.dynalink.linker.ConversionComparator.Comparison

All Implemented Interfaces:
  Serializable, Comparable<ConversionComparator.Comparison>

Enclosing interface:
  ConversionComparator

    public static enum ConversionComparator.Comparison
    extends Enum<ConversionComparator.Comparison>

Enumeration of possible outcomes of comparing one conversion to another.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INDETERMINATE` The conversions cannot be compared.
`TYPE_1_BETTER` The first conversion is better than the second one.
`TYPE_2_BETTER` The second conversion is better than the first one.

### Method Summary

All Methods Static Methods Concrete Methods
`static ConversionComparator.Comparison` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConversionComparator.Comparison[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INDETERMINATE

    public static final ConversionComparator.Comparison INDETERMINATE

The conversions cannot be compared.

#### TYPE_1_BETTER

    public static final ConversionComparator.Comparison TYPE_1_BETTER

The first conversion is better than the second one.

#### TYPE_2_BETTER

    public static final ConversionComparator.Comparison TYPE_2_BETTER

The second conversion is better than the first one.

### Method Detail

#### values

    public static ConversionComparator.Comparison[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConversionComparator.Comparison c : ConversionComparator.Comparison.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConversionComparator.Comparison valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null